Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::ParseParamsByteIO Class Reference

Represents compressed parse-parameter data used in an AccessUnit.

`#include <parseparams_byteio.h>`

Inheritance diagram for dirac::ParseParamsByteIO:
[legend]
Collaboration diagram for dirac::ParseParamsByteIO:
[legend]

List of all members.

## Public Member Functions

- ParseParamsByteIO (const ByteIO &stream_data, ParseParams &parse_params, EncoderParams &enc_params)
    Constructor.
- ParseParamsByteIO (const ByteIO &stream_data, ParseParams &parse_params)
    Constructor.
- ~ParseParamsByteIO ()
    Destructor.
- void Input ()
    Reads parse information from Dirac byte-format.
- void Output ()
    Outputs parse information to Dirac byte-format.
- int GetIdNumber () const
    Get access-unit number.

## Private Member Functions

- void CheckVersion ()
- void CheckProfile ()
- void CheckLevel ()

## Private Attributes

- ParseParams & m_parse_params
    Reference to parse parameters.

## Constructor & Destructor Documentation

dirac::ParseParamsByteIO::ParseParamsByteIO | ( | const ByteIO & | stream_data,
|  | ParseParams & | parse_params,
|  | EncoderParams & | enc_params |
| ) |  |  |

Parameters:

  | stream_data | Destination of data
  | parse_params | Parse parameters
  | enc_params | Encoder parameters

dirac::ParseParamsByteIO::ParseParamsByteIO | ( | const ByteIO & | stream_data,
|  | ParseParams & | parse_params |
| ) |  |  |

Parameters:

  | stream_data | Source of data
  | parse_params | Destination of parse params

dirac::ParseParamsByteIO::~ParseParamsByteIO | ( |  | ) |

## Member Function Documentation

void dirac::ParseParamsByteIO::Input | ( |  | ) |

void dirac::ParseParamsByteIO::Output | ( |  | ) |

int dirac::ParseParamsByteIO::GetIdNumber | ( |  | ) | const

void dirac::ParseParamsByteIO::CheckVersion | ( |  | ) | `[private]`

void dirac::ParseParamsByteIO::CheckProfile | ( |  | ) | `[private]`

void dirac::ParseParamsByteIO::CheckLevel | ( |  | ) | `[private]`

## Member Data Documentation

ParseParams& dirac::ParseParamsByteIO::m_parse_params`[private]`

The documentation for this class was generated from the following file:

- parseparams_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.